#
# spec file for package tmpwatch
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tmpwatch
Summary:        Watches file system activity, such as /tmp files
License:        GPL-2.0
Group:          Productivity/Security
Version:        2.11
Release:        lp152.3.5
Url:            https://fedorahosted.org/tmpwatch
Source0:        https://fedorahosted.org/releases/t/m/tmpwatch/%{name}-%{version}.tar.bz2
Source1:        %{name}.daily
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  psmisc
Requires:       cron
Requires:       psmisc

%description
The tmpwatch utility recursively searches through specified directories
and removes files which have not been accessed in a specified period of
time. tmpwatch is normally used to clean up directories which are used
for temporarily holding files (for example, /tmp).

There are multiple tools called "tmpwatch", this package contains the
Fedora/Red Hat version available at https://fedorahosted.org/tmpwatch

%prep
%setup -q

%build
%configure
%{__make}

%install
%makeinstall
%{__install} -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Wed Nov 19 2014 Led <ledest@gmail.com>
- fix bashisms in tmpwatch.daily cron script
* Sun Feb  2 2014 cfarrell@suse.com
- license update: GPL-2.0
  See e.g. tmpwatch.c - tell upstream about this
* Thu Jan 23 2014 aj@ajaissle.de
- use %%{_sysconfdir} for /etc
* Fri Aug 10 2012 chris@computersalat.de
- update to 2.11
  * INCOMPATIBLE CHANGE: On Linux, sockets that are certainly unused
    are now removed by default.
- fix License to be in spdx format
  * GPL-2.0+
* Fri Sep 16 2011 coolo@suse.com
- update to 2.10.3
  * Don't report EACCES errors, they can be routinely returned by FUSE mounts.
  * Minor bug fixes in bind mount handling.
  * Don't follow (non-trivial) bind mounts.
  * Minor bug and documentation fixes.
* Wed Sep 14 2011 andrea.turrini@gmail.com
- fixed typos in tmpwatch.spec
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Fri Oct 22 2010 cristian.rodriguez@opensuse.org
- Use a _service instead of keeping a tarball
* Sat Apr 17 2010 crrodriguez@opensuse.org
- update to version 2.10.1
  * Only support fuser if it is available at build time.
  * Upstream migrated to autotools
* Tue Apr  8 2008 crrodriguez@suse.de
- tmpwatch declared GPLv2 only but has no COPYING file [bnc #377839]
* Mon Apr  7 2008 crrodriguez@suse.de
- adding fedora tmpwatch to openSUSE 11
- command tmpwatch does not exist, some man pages are still around [bnc #368527]
* Sun Mar  9 2008 crrodriguez@suse.de
- initial openSUSE package
